# HashFilter Class Reference
[Tools for primitive's filtration]

SHA-1 based filter: passwords. More...

Inheritance diagram for HashFilter:
[legend]

List of all members.

## Public Member Functions

| __construct ($binary=false)
| isBinary ()
| apply ($value)

## Static Public Member Functions

static | create ($binary=false)

## Private Attributes

| $binary = false

## Detailed Description

SHA-1 based filter: passwords.

Definition at line 17 of file HashFilter.class.php.

## Constructor & Destructor Documentation

HashFilter::__construct | ( | $ | binary = `false` | ) |

Definition at line 21 of file HashFilter.class.php.

References $binary.

## Member Function Documentation

HashFilter::apply | ( | $ | value | ) |

Implements Filtrator.

Definition at line 39 of file HashFilter.class.php.

static HashFilter::create | ( | $ | binary = `false` | ) | `[static]`

Returns:
  HashFilter

Definition at line 29 of file HashFilter.class.php.

References $binary.

Referenced by Filter::hash().

HashFilter::isBinary | ( |  | ) |

Definition at line 34 of file HashFilter.class.php.

## Member Data Documentation

HashFilter::$binary = false`[private]`

Definition at line 19 of file HashFilter.class.php.

Referenced by __construct(), and create().

The documentation for this class was generated from the following file:

- core/Form/Filters/HashFilter.class.php